DtEditorGoToLine(library call)

NAME
DtEditorGoToLine — move the insert cursor for a DtEditor widget to a specified line

SYNOPSIS

#include &<Dt/Editor.h>
void DtEditorGoToLine(
Widget widget,
int lineNumber);

DESCRIPTION

The DtEditorGoToLine function moves the insert cursor for the DtEditor widget to the beginning of the line specified by the lineNumber argument. The cursor can be moved to the last line by specifying DtEDITOR_LAST_LINE as the line number. If the line is not currently on-screen, the contents for the DtEditor widget are scrolled to display the new insertion position.

The lineNumber argument is the number of the line in the file, counting from 1. If the lineNumber argument is less than 1, the insert cursor is placed at the beginning of the first line. If the argument is greater than the total number of lines, the cursor is placed at the last line of text.

The insert cursor can be moved to a specific character position with DtEditorSetInsertionPosition(3). The DtNtopCharacter resource can be used to control which line is displayed at the top of the DtEditor widget.

The widget argument specifies the DtEditor widget ID.

The lineNumber argument specifies the line number within the DtEditor widget.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

The DtEditorGoToLine function returns no value.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3), DtEditorSetInsertionPosition(3).